/****************************************************************************
*RevHead_Start                                                              *
*                                                                           *
* Project Details                                                           *
* ---------------                                                           *
*Project Name:    gmanpage                                                  *
*Project Version: 1.2.3                                                     *
*Copyright Owner: David M. Balean <linprogs@exemail.com.au>                 *
*Copyright Notice:                                                          *
* This program is free software; you can redistribute it and/or modify it   *
* iunder the terms of the GNU General Public License as published by        *
* the Free Software Foundation, either version 3 of the License or,         *
* (at your option) any later version.                                       *
* This program is distributed in the hope that it will be useful,           *
* but WITHOUT ANY WARRANTY; without even the implied warranty of            *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      *
* See the GNU General Public License for more details.                      *
* You should have received a copy of the GNU General Public License         *
* along with this program. If not, see <http://www.gnu.org/licenses/>.      *
*                                                                           *
*Project Date:    Saturday 27th April 2013                                  *
*                                                                           *
*Start DateStamp: 21-Mar-2009 12.12.52 -36000 3600                          *
*                                                                           *
*Contact:                                                                   *
* email: linprogs@balean.net                                                *
* snail: D.M. Balean, 44 Wyong Road, Killarney Vale, N.S.W. 2261, AUSTRALIA *
*                                                                           *
*Project Summary:                                                           *
* View manual pages and optionally create/edit them                         *
*                                                                           *
*****************************************************************************
*                                                                           *
*This File:       main.cpp                                                  *
*Author:          David M. Balean <linprogs@balean.net>                     *
*DateStamp:       11-Mar-2013 11.10.35 -36000 3600                          *
*                                                                           *
*File Summary:                                                              *
* Main entry point                                                          *
*                                                                           *
*RevHead_End                                                                *
****************************************************************************/

#include <gtk/gtk.h>

#include "gman.h"
#include "quit.h"

#include "tfile.h"

int main(int argc, char *argv[])
{

if ( isatty(fileno(stdin)) )
	{
	sleep(1);
	fflush(stdin); // get rid of extraneous junk in stdin
	}
	
Quit quit;
if (quit.get_rc() == EXIT_SUCCESS)
	{
	GMan gm(argc, argv, &quit);
	}

cout << "Leaving main: "; 
cout << (char *)( (quit.get_rc() == EXIT_SUCCESS) ?
		   "EXIT_SUCCESS" : "EXIT_FAILURE");
cout << "\n";
exit(quit.get_rc());
}
